### Method

# Ide Task propagate_object

#### Declaration

    GObject*
    ide_task_propagate_object (
      IdeTask* self
      GError** error
    )

#### Description

Returns an object if the task completed with an object. Otherwise, `NULL` is returned.

`error` is set if the task completed with an error.

Available since: | 3.32

#### Return value

Returns: | `GObject`
| A `GObject` or `NULL` and `error` may be set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.